Query the agent workflow binding list

Query the binding in the workspace that associates the workflow node to the agent task template.

HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/agent-workflow-bindings

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/agent-workflow-bindings?limit=20&offset=0" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Query parameters

Parameters

Type

Is it required

Description

workflow_id

string

No

Workflow ID.

workflow_version_id

string

No

Workflow version ID.

node_id

string

No

Workflow node ID.

agent_task_template_id

string

No

Agent task template ID.

status

string

No

Binding status.

limit

integer

No

Return the quantity.

offset

integer

No

Return to the starting position.

Successful response

On success, the binding of 200 and the current page is returned.

JSON
{"code": 0, "data": {"items": [{"id": "binding_01", "workflow_id": "wf_01", "node_id": "node_01", "agent_task_template_id": "template_01"}], "total": 1, "limit": 20, "offset": 0}}

The response fields are as follows.

Field

Type

Description

code

integer

0 on success.

data.items

array

Binding of the current page.

data.items[].id

string

Binding ID.

data.items[].workflow_id

string

Workflow ID.

data.items[].node_id

string

Node ID.

data.items[].agent_task_template_id

string

Association template ID.

data.total

integer

The total number of matches.

[] after a type denotes an array. [] in a field path denotes each item in an array.

Error response

JSON
{"code": 2, "message": "invalid workflow binding filter"}

Common HTTP errors

HTTP status code

error code

Common causes

Recommended actions

400

2

The query parameter is invalid.

Check filters.

Last updated on